# frozen_string_literal: true

class SendEmailJob < ApplicationJob
  queue_as :default

  def perform(email_message_id)
    email_message = EmailMessage.where(id: email_message_id).first
    return if email_message.blank?

    NotifyEmailMailer.with(email: email_message_id).contact_page.deliver
  end
end
